export function calculateFortuneMultiplier(fortuneLevel) {
    if (fortuneLevel <= 0) return 1;
    const weights = [...Array(fortuneLevel).fill(1)];
    const totalWeight = weights.reduce((a, b) => a + b, 0);
    const random = Math.random() * totalWeight;
    let cumulativeWeight = 0;

    for (let i = 0; i < weights.length; i++) {
        cumulativeWeight += weights[i];
        if (random < cumulativeWeight) {
            return i + 1;
        }
    }

    return 1;
}