import { system } from "@minecraft/server";

export function handleItemDurability(player, item) {
    if (player.getGameMode() === 'survival') {
        system.run(() => {
            const slot = player.getComponent("inventory").container.getSlot(player.selectedSlotIndex);
            const durabilityComp = item.getComponent("durability");
            const unbreakingLevel = item.getComponent("minecraft:enchantable")?.getEnchantment("unbreaking")?.level;

            if (durabilityComp && item.typeId.startsWith("sns:")) {
                let shouldDamage = true;

                if (unbreakingLevel > 0) {
                    const chance = 1 / (unbreakingLevel + 1);
                    shouldDamage = Math.random() < chance;
                }

                if (shouldDamage) {
                    durabilityComp.damage += 1;

                    if (durabilityComp.damage >= durabilityComp.maxDurability) {
                        slot.setItem(null);
                        player.playSound("random.break", { pitch: 1, volume: 1 });
                    } else {
                        item.getComponent("durability").damage = durabilityComp.damage;
                        slot.setItem(item);
                    }
                }
            }
        });
    }
}